{ pkgs, lib, fetchgit, rustPlatform }:

rustPlatform.buildRustPackage rec {
  pname = "aozora";
  version = "5b94155b4137c885bd63bc49cd400ec58152547f";

  buildInputs = with pkgs; [ openssl ];
  nativeBuildInputs = with pkgs; [ pkg-config ];

  src = fetchgit {
    url = "https://git.elnu.com/ElnuDev/aozora";
    rev = version;
    sha256 = "93MP1Iw1eklC+IEQXAhzLHJ+qsDASm53qw7vUEtEstI=";
  };

  cargoSha256 = "fiDdk6c1rPS6L//KKqfp6ODxcLEzNKrpySCb9n8aGQ0=";

  meta = with lib; {
    description = "A simple CLI for fetching Plume Labs air quality info.";
    homepage = "https://git.elnu.com/ElnuDev/aozora";
    license = licenses.gpl3;
    maintainers = [ maintainers.tailhook ];
  };
}
