{ lib, stdenv, fetchurl }:

let
  _fedrel = "2.fc37";
in
stdenv.mkDerivation rec {
  pname = "ttf-twemoji";
  version = "14.0.2";

  src = builtins.fetchTarball {
    url = "https://kojipkgs.fedoraproject.org/packages/twitter-twemoji-fonts/${version}/${_fedrel}/noarch/twitter-twemoji-fonts-${version}-${_fedrel}.noarch.rpm";
    sha256 = "sha256:11ay3jc4qd3z1mnijnwdns4bi22y204lva7l7vkazybx1nzrwscl";
  };

  dontBuild = true;

  installPhase = ''
    install -Dm755 share/fonts/twemoji/Twemoji.ttf $out/share/fonts/truetype/Twemoji.ttf
  '';

  meta = with lib; {
    description = "Twitter Color Emoji for everyone.";
    homepage = "https://github.com/twitter/twemoji";
    license = with licenses; [ cc-by-40 mit ];
    maintainers = with maintainers; [ elnudev ];
    platforms = platforms.all;
  };
}
